Package ru.bitel.bgbilling.modules.assist.server.bean

# Class AssistPayment

java.lang.Object
ru.bitel.bgbilling.modules.assist.server.bean.AssistPayment

    public class AssistPayment
    extends java.lang.Object

Платёж, информация о платеже. Используется как модель в БД.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistPayment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Long` | `getBillnumber()` |
  `java.lang.String` | `getCardholder()` |
  `java.lang.String` | `getCardnumber()` |
  `java.lang.String` | `getCardsubtype()` |
  `java.lang.String` | `getCardText()` |
  `java.lang.String` | `getCardtype()` |
  `int` | `getCid()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getContractComment()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDate()` |
  `java.lang.String` | `getEmail()` |
  `int` | `getId()` |
  `java.lang.String` | `getIpaddress()` |
  `java.lang.String` | `getName()` |
  `int` | `getRecurringParentId()` |
  `ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolResponseCode` | `getResponseCode()` |
  `AssistStatus` | `getStatus()` |
  `java.math.BigDecimal` | `getTotal()` |
  `void` | `setBillnumber​(java.lang.Long billnumber)` |
  `void` | `setCardholder​(java.lang.String cardholder)` |
  `void` | `setCardnumber​(java.lang.String cardnumber)` |
  `void` | `setCardsubtype​(java.lang.String cardsubtype)` |
  `void` | `setCardtype​(java.lang.String cardtype)` |
  `void` | `setCid​(int cid)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setEmail​(java.lang.String email)` |
  `void` | `setId​(int id)` |
  `void` | `setIpaddress​(java.lang.String ipaddress)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setRecurringParentId​(int recurringParentId)` |
  `void` | `setResponseCode​(ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolResponseCode responseCode)` |
  `void` | `setStatus​(AssistStatus status)` |
  `void` | `setTotal​(java.math.BigDecimal total)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssistPayment

    public AssistPayment()

- ## Method Details

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getStatus

    public AssistStatus getStatus()

  - ### setStatus

    public void setStatus​(AssistStatus status)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getTotal

    public java.math.BigDecimal getTotal()

  - ### setTotal

    public void setTotal​(java.math.BigDecimal total)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getCardholder

    public java.lang.String getCardholder()

  - ### setCardholder

    public void setCardholder​(java.lang.String cardholder)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getEmail

    public java.lang.String getEmail()

  - ### setEmail

    public void setEmail​(java.lang.String email)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getIpaddress

    public java.lang.String getIpaddress()

  - ### setIpaddress

    public void setIpaddress​(java.lang.String ipaddress)

  - ### getCardtype

    public java.lang.String getCardtype()

  - ### setCardtype

    public void setCardtype​(java.lang.String cardtype)

  - ### getCardsubtype

    public java.lang.String getCardsubtype()

  - ### setCardsubtype

    public void setCardsubtype​(java.lang.String cardsubtype)

  - ### getCardnumber

    public java.lang.String getCardnumber()

  - ### setCardnumber

    public void setCardnumber​(java.lang.String cardnumber)

  - ### getBillnumber

    public java.lang.Long getBillnumber()

  - ### setBillnumber

    public void setBillnumber​(java.lang.Long billnumber)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### setResponseCode

    public void setResponseCode​(ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolResponseCode responseCode)

  - ### getResponseCode

    public ru.bitel.bgbilling.modules.assist.server.protocol.AssistProtocolResponseCode getResponseCode()

  - ### getCardText

    public java.lang.String getCardText()

  - ### getRecurringParentId

    public int getRecurringParentId()

  - ### setRecurringParentId

    public void setRecurringParentId​(int recurringParentId)